/***************************************************************************
                           routelistwindow.h
                           version 0.5.3 $Revision: 1.7 $
                           -------------------------------
    copyright            : (C) 2007-2008 by Guido Scholz
    email                : guido.scholz@bayernline.de
    last modified        : $Date: 2008-11-05 08:42:40 $
***************************************************************************/

/**************************************************************************
 *                                                                        *
 *  This program is free software; you can redistribute it and/or modify  *
 *  it under the terms of the GNU General Public License as published by  *
 *  the Free Software Foundation; either version 2 of the License, or     *
 *  (at your option) any later version.                                   *
 *                                                                        *
 **************************************************************************/

/**************************************************************************
   header file for routelistwindow.cpp 
 **************************************************************************/

#ifndef ROUTELISTWINDOW_H
#define ROUTELISTWINDOW_H

#include <qlayout.h>
#include <QDockWidget>

#include "routelistview.h"
#include "router.h"

class RouteListWindow: public QDockWidget
{
    Q_OBJECT
        
public:
    RouteListWindow(QWidget* parent=0, const char* name=0,
            Router* router=0);
    bool hasCurrentItem();
    int getCurrentItemState();
    
public slots:
    void currentRouteChanged(QTreeWidgetItem*, QTreeWidgetItem*);
    void slotEditRouteAt(QTreeWidgetItem*, int);
    void slotEditRoute(QTreeWidgetItem*);
    void slotDeleteRoute(QTreeWidgetItem*);
    void slotRouteAdd();
    void slotRouteCopy();
    void slotRouteDelete();
    void slotRouteEdit();
    void slotRouteActivate();
    void slotRouteRelease();
    void slotRouteWithdraw();
    void slotActivateRoute(Route*);
    void slotReleaseRoute(Route*);
    void slotWithdrawRoute(Route*);
    void slotToggleRouteState(QTreeWidgetItem*);
    void switchVisualMode(elemVisualMode);
    void updateRouteData(Route*);
    void updateRouteList();
    void updateRouteState(Route*);

signals:
    void routeListIsEmpty();
    void selectedRouteChangedState();
    
private:
    Router* gbsRouter;
    elemVisualMode  visualMode;
    RouteListView* routeLV;
};
#endif // ROUTELISTWINDOW_H

